POST /api/v1/envelopes/initiate-base64 — Initiate Envelope Base64
Initiate a signature envelope by providing the document content as a Base64-encoded string. The system creates an envelope and returns its ID for subsequent signing invitation steps.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
- WebhookId (GUID, optional)
- Id For Webhook Register On Sadq
- WorkflowId (GUID, optional)
- Id For Workflow Generated On Sadq
- Password (string, optional)
- Password For File
- HideEnvelopData (boolean, optional)
- Hide Envelop Data ( Reference Number + Sadq Doc ID )
- ReferenceNumber (string, optional)
- Unique String Number You Will Provided From Your Side
- File (object, required)
- Object containing file details.
- userOnlySigner (boolean, optional)
- Indicates whether the user is the only signer.
- envelopDataPositions (array, optional)
- Fro Postions RefNum + Sadq Doc ID
{
"userOnlySigner": true,
"webhookId": "",
"workflowId": "",
"referenceNumber": "string",
"isForExternalWorkFlow": true,
"files": {
"fileId": "",
"file": "",
"fileName": ""
}
}Responses
HTTP 200 — Envelope created successfully
{
"data": {
"documentId": "a6b7946e-5d76-478f-bfab-b1d6378d4f38",
"envelopeId": "4b83d3e7-b391-4dd2-b7d8-c0c121cb6cb1",
"destinations": null,
"referenceNumber": "Req-A-2026-125",
"creatorFields": null
},
"errorCode": 0,
"message": "Success",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 400 — Invalid request body
{
"data": null,
"errorCode": 400,
"message": "File content is required",
"returnUrl": null,
"stateValidationErrors": null,
"signature": ""
}HTTP 401 — Unauthorized
{
"data": null,
"errorCode": 401,
"message": "Unauthorized",
"returnUrl": null,
"stateValidationErrors": null,
"signature": ""
}